// BaseListCtrl.h : header file
//
#if !defined(_BASELISTCTRL_H_)
#define _BASELISTCTRL_H_


/////////////////////////////////////////////////////////////////////////////
// CBaseListCtrl window

class CBaseListCtrl : public CListCtrl
{
// Construction
public:
	CBaseListCtrl();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBaseListCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBaseListCtrl();

	// Generated message map functions
protected:
	//{{AFX_MSG(CBaseListCtrl)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_BASELISTCTRL_H_)
